<template>
	<view class="content">
		<view class="homemain">
			<img class="homebg" src="https://ikea-mrm.woaap.com/images/cover/choosebg.png" />
			<img class="coverlogo" src="https://ikea-mrm.woaap.com/images/logo.png" />
			<!-- <img class="upload" :src="imgURL" alt=""> -->
			<img v-if="choose == 0" @click="upload" class="upload" src="https://ikea-mrm.woaap.com/images/cover/upload.png" />
			<img v-if="choose == 1" @click="upload" class="upload" src="https://ikea-mrm.woaap.com/images/cover/upload2.png" />
		</view>
	</view>
</template>

<script>
export default {
	data() {
		return {
			imgURL: '',
			choose: JSON.parse(uni.getStorageSync('choose'))
		};
	},
	onShareAppMessage: function(res) {
		return {
			title: '定制宜家风 赢限量好礼',
			path: 'pages/cover/home',
			imageUrl: 'https://ikea-mrm.woaap.com/images/share/share_cover.jpeg'
		};
	},
	mounted() {},
	onShow() {
		getApp().td_app_sdk.event({
			id: '/cover/upload',
			label: 'pv',
			params: {}
		});
	},
	methods: {
		upload() {
			getApp().td_app_sdk.event({
				id: '现场开拍/相册上传',
				label: 'click'
			});
			uni.chooseImage({
				count: 1, //默认9
				success: res => {
					console.log(JSON.stringify(res.tempFilePaths[0]));
					// this.imgURL = res.tempFilePaths[0]
					uni.setStorageSync('imgURL', JSON.stringify(res.tempFilePaths[0]));
					uni.navigateTo({
						url: '/pages/cover/edit'
					});
				}
			});
		}
	}
};
</script>

<style lang="less" scoped>
.content {
	width: 100vw;
	height: 100vh;
	position: relative;
	background: #ffffff;
	position: relative;
	overflow: hidden;
}
.homemain {
	width: 750rpx;
	height: 1624rpx;
	position: absolute;
	top: -150rpx;
	.homebg {
		width: 750rpx;
		height: 1624rpx;
		position: absolute;
		top: 0;
	}
	.upload {
		width: 663rpx;
		height: 927rpx;
		position: absolute;
		left: 50%;
		top: 50%;
		transform: translate(-48%, -50%);
	}
}
</style>
